<?php
/**
* 整数クラス
*
* PHP version 5
*
* @package    base
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class Integer
{
	private $_value;

	/*
	 *	コンストラクタ
	 */
	public function __construct( $value )
	{
		if ( $value instanceof Integer ){
			$this->_value = $value->_value;
		}
		else if ( !is_numeric($value) ){
			_throw( new NonIntegerException( $value ) );
		}
		else {
			$this->_value = intval($value);
		}
	}

	/*
	 *	値を取得
	 */
	public function getValue()
	{
		return $this->_value;
	}

	/*
	 *	文字列化
	 */
	public function __toString()
	{
		return is_int($this->_value) ? strval($this->_value) : '';
	}

}
return __FILE__;
